<div class="text-pill-component" [ngClass]="{error: showErrorState, success: showSuccessState}">
  <span class="icon icon-file"></span>
  <div class="text">{{ name }}</div>
  <span class="close icon-cross" (click)="removeFn($event, uniqueId)"></span>
</div>
